<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

        <!-- Custom CSS -->
        <!-- <link rel="stylesheet" href="index.css"> -->

        <title>Bootstrap Grid System</title>

    </head>
    <body class="text-center">

        <h1>Bootstrap Grid System</h1>

        <!-- Two Columns Start-->
        <h2>Two Columns</h2>
        <div class="container-fluid">

            <!--Row with two equal columns-->
            <h3>1:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
            </div>
            
            <!--Row with two columns divided in 1:2 ratio-->
            <h3>1:2 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
            </div>
            
            <!--Row with two columns divided in 1:3 ratio-->
            <h3>1:3 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
            </div>

        </div>
        <!-- Two Columns End-->

        <!-- Three Columns Start -->
        <h2>Three Columns</h2>
        <div class="container-fluid">

            <!--Row with three equal columns-->
            <h3>1:1:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
            </div>
            
            <!--Row with three columns divided in 1:2:1 ratio-->
            <h3>1:2:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            </div>
            
            <!--Row with three columns divided in an uneven ratio-->
            <h3>Uneven Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
            </div>

        </div>
        <!-- Three Columns End-->

        <!-- Automatic Sizing Start -->
        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            </div>
        </div>
        <!-- Automatic Sizing End -->


        <!-- Start of Activity  -->

        <h2>Mobile Responsive Columns</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-sm-12 col-xs-12 col-md-3 col-xl-3 col-lg-3 ">Responsive</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-12 col-xs-12 col-md-9 col-xl-9 col-lg-9">Responsive</div>
               
            </div>
        </div>

        <!-- Step 4 -->
        <h2>Mobile Column Columns</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <!-- Top Half -->
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Column 1</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Column 2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Column 3</div>                
                <!-- Bottom Half -->
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Column 4</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Column 5</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Column 6</div>
            </div>
        </div>

        <!-- Step 5 -->
        <h2>Offsetting Columns</h2>

        <div class="container-fluid">
        <!-- Row 1 -->
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">
                    Offset Column
                </div>
           
        <!-- Row 2 -->
                <div class="bg-primary pt-3 pb-3 border border-dark col-6  col-xs-6 offset-md-3">
                    Offset Column
                </div>

        <!-- Row 3 --> 
            
                <div class="bg-primary pt-3 pb-3 border border-dark col-6 col-xs-6 offset-lg-4">
                    Offset Column
                </div>  
            </div>        
        </div>

          <!-- Step 6 -->
        <h2>Column Orders</h2>
        <div class="container-fluid">
            <div class="text-light row">

                <!-- Small Screen Only -->
                <div class="bg-primary pt-3 pb-3 border border-dark d-sm-none d-xs-none col">Right</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark d-sm-none d-xs-none col">Left</div>

                <!-- For Other Screen -->
                <div class="bg-primary pt-3 pb-3 border border-dark d-none d-sm-block col">Left</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark d-none d-sm-block col">Right</div>
            </div>
        </div>


        <!-- End of Activity  -->

        <!-- Bootstrap Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

    </body>
</html>


<!-- 

Activity:
X 1. In the S10 folder, create an activity folder.
X 2. Clone/copy the template for the activity.html file.
X 3. For the mobile responsive columns section, create two columns that should be mobile responsive
- Small screens will stack the two columns vertically
- Medium to large screens will stack the columns horizontally
4. For the multi-column layout section, create six elements elements that take up 4 columns of space in all screen sizes. Only 3 elements should fit in a row creating 3 columns with 2 elements each.
5. For the offsetting columns section, create three elements that take up 6 columns of space that will be indented using the offset classes and will have the following offset values:
- Row 1 - offset of 2 on all screen sizes
- Row 2 - offset of 3 on medium screen sizes
- Row 3 - offset of 4 on large screen sizes
6. For the column orders section, create two columns that implement the use of column order classes.
- 1st column will contain the text of Left and will appear based on the following breakpoints:
    - Positioned on the right side on small screens
    - Positioned on the left side on medium to large screens
- 2nd column will contain the text of Right and will appear based on the following breakpoints: 
    - Positioned on the left side on small screens
    - Positiioned on the right side on medium to large screens
7. Create a git repository named S10.
8. Initialize a local git repository, add the remote link and push to git with the commit message of Add activity code.
9. Add the link in Boodle. 

-->